# tradeDataDownload

Download import schedule data.

`GET /hscodeselfclassify/tradedata/importschedule/download/{destination}`

**API:** Avalara Cross Border Tariff Content
**Tag:** Tradedata
**API Version:** 1.0
**Base URL:** /
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/trade-and-tariff-library/api/methods/Tradedata/tradeDataDownload/

## Description

Downloads import schedule data for a specific destination country in the specified format (JSON, XML, or Excel).

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `destination` | string | path | Yes | The code for destination country in ISO 3166-1 alpha-2 format. |
| `format` | string | query | No | The format for the response. Allowed values: json, xml, excel. |
| `language` | string | query | No | The language code for the response. |
| `avalara-version` |  | header | Yes | API version. Current version is 1.0. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns the import schedule data download for the requested destination. |  |
| 400 | The request parameters are invalid. | `AvalaraAPIExceptionDetails` |
| 401 | Authentication failed due to invalid or missing authentication token. | `AvalaraAPIExceptionDetails` |
| 403 | Customer is not authorized to access this resource. | `AvalaraAPIExceptionDetails` |
| 500 | An unexpected server error occurred. | `AvalaraAPIExceptionDetails` |